spring.application.name=gtm-view-builder
server.port=8080
spring.cloud.gateway.discovery.locator.enabled=true
management.endpoint.gateway.enabled=true
logging.level.org.elasticsearch=ERROR
alis.api-gateway.url=alis-api-gateway-nginx/gtm

gtm.search.hostport=elasticsearch-master
gtm.search.usessl=false
gtm.search.enable= true

#kafka
spring.cloud.stream.bindings.es-material.destination=es-material
spring.cloud.stream.bindings.es-material.content-type=application/json
spring.cloud.stream.kafka.bindings.es-material.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-material.group=vb-internal

spring.cloud.stream.kafka.bindings.es-material.consumer.configuration.max.poll.records=1
spring.cloud.stream.kafka.bindings.es-material.consumer.configuration.max.poll.interval.ms=1800000
spring.cloud.stream.kafka.bindings.es-material.consumer.configuration.enable.auto.commit=true

spring.cloud.stream.bindings.es-bom.destination=es-bom
spring.cloud.stream.bindings.es-bom.content-type=application/json
spring.cloud.stream.kafka.bindings.es-bom.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-bom.group=vb-internal

spring.cloud.stream.kafka.bindings.es-bom.consumer.configuration.max.poll.records=20
spring.cloud.stream.kafka.bindings.es-bom.consumer.configuration.max.poll.interval.ms=1800000
spring.cloud.stream.kafka.bindings.es-bom.consumer.configuration.enable.auto.commit=true


spring.cloud.stream.kafka.bindings.es-classification.consumer.configuration.max.poll.records=20
spring.cloud.stream.kafka.bindings.es-classification.consumer.configuration.max.poll.interval.ms=1800000
spring.cloud.stream.kafka.bindings.es-classification.consumer.configuration.enable.auto.commit=true


spring.cloud.stream.bindings.es-lr.destination=es-lr
spring.cloud.stream.bindings.es-lr.content-type=application/json
spring.cloud.stream.kafka.bindings.es-lr.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-lr.group=vb-internal

spring.cloud.stream.bindings.es-classification.destination=es-classification
spring.cloud.stream.bindings.es-classification.content-type=application/json
spring.cloud.stream.kafka.bindings.es-classification.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-classification.group=vb-internal

spring.cloud.stream.bindings.es-issue.destination=es-issue
spring.cloud.stream.bindings.es-issue.content-type=application/json
spring.cloud.stream.kafka.bindings.es-issue.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-issue.group=vb-internal

spring.cloud.stream.bindings.es-supplier-declaration-entry.destination=es-supplier-declaration-entry
spring.cloud.stream.bindings.es-supplier-declaration-entry.content-type=application/json
spring.cloud.stream.kafka.bindings.es-supplier-declaration-entry.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-supplier-declaration-entry.group=es-supplier-declaration-entry

spring.cloud.stream.bindings.update-cd-sd-link.destination=es-supplier-declaration-entry
spring.cloud.stream.bindings.update-cd-sd-link.content-type=application/json
spring.cloud.stream.kafka.bindings.update-cd-sd-link.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.update-cd-sd-link.group=update-cd-sd-link


spring.cloud.stream.bindings.es-update-purshased-view.destination=es-supplier-declaration-entry
spring.cloud.stream.bindings.es-update-purshased-view.content-type=application/json
spring.cloud.stream.kafka.bindings.es-update-purshased-view.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-update-purshased-view.group=es-update-purshased-view

spring.cloud.stream.bindings.es-update-entry-declaration.destination=es-supplier-declaration-entry
spring.cloud.stream.bindings.es-update-entry-declaration.content-type=application/json
spring.cloud.stream.kafka.bindings.es-update-entry-declaration.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-update-entry-declaration.group=es-update-entry-declaration

spring.cloud.stream.bindings.es-fta.destination=es-fta
spring.cloud.stream.bindings.es-fta.content-type=application/json
spring.cloud.stream.kafka.bindings.es-fta.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-fta.group=vb-internal


spring.cloud.stream.bindings.es-rule.destination=es-rule
spring.cloud.stream.bindings.es-rule.content-type=application/json
spring.cloud.stream.kafka.bindings.es-rule.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-rule.group=vb-internal


spring.cloud.stream.bindings.es-rule-of-origin.destination=es-rule-of-origin
spring.cloud.stream.bindings.es-rule-of-origin.content-type=application/json
spring.cloud.stream.kafka.bindings.es-rule-of-origin.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-rule-of-origin.group=vb-internal

spring.cloud.stream.bindings.es-material-source.destination=es-material-source
spring.cloud.stream.bindings.es-material-source.content-type=application/json
spring.cloud.stream.kafka.bindings.es-material-source.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-material-source.group=es-material-source-view

spring.cloud.stream.bindings.es-purshased-view.destination=es-material-source
spring.cloud.stream.bindings.es-purshased-view.content-type=application/json
spring.cloud.stream.kafka.bindings.es-purshased-view.consumer.autoCommitOffset=true
spring.cloud.stream.bindings.es-purshased-view.group=es-purshased-view

spring.cloud.stream.kafka.binder.healthTimeout=60


#liquibase
spring.liquibase.enabled=true


adias.viewbuilder.isClassificationSubscriptionEnabled=false
adias.viewbuilder.isMaterialSubscriptionEnabled=false
adias.viewbuilder.isFtaSubscriptionEnabled=true
adias.viewbuilder.isIssueSubscriptionEnabled=true
adias.viewbuilder.isLegalRegulationSubscriptionEnabled=true
adias.viewbuilder.isMaterialSourceSubscriptionEnabled=false
adias.viewbuilder.isRuleOfOriginSubscriptionEnabled=true
adias.viewbuilder.isRuleSubscriptionEnabled=true
adias.viewbuilder.isSupplierDeclarationEntrySubscriptionEnabled=false
adias.viewbuilder.isCountryGroupSubscriptionEnabled=true
adias.viewbuilder.isOriginSummarySubscriptionEnabled=false
adias.viewbuilder.isSupplierDeclarationSubscriptionEnabled=false
adias.viewbuilder.isCountrySubscriptionEnabled=true
adias.viewbuilder.isOriginDetailsSubscriptionEnabled=false
adias.viewbuilder.isCustomerDeclarationEntrySubscriptionEnabled=false
adias.viewbuilder.isCustomerDeclarationSubscriptionEnabled=false
adias.viewbuilder.isBomSubscriptionEnabled=false
adias.viewbuilder.isSupplierSubscriptionEnabled=false
adias.viewbuilder.isCustomerSubscriptionEnabled=false
adias.viewbuilder.isCustomStatusSubscriptionEnabled=true


adias.viewbuilder.isConfigurationKeySubscriptionEnabled=true
adias.viewbuilder.indexNames.configuration_key=configuration_key
adias.viewbuilder.indexNames.default_column_config=default_column_config


adias.viewbuilder.isUpdateMaterialSourceSubscriptionEnabled=false
adias.viewbuilder.isUpdatePurchasedArticleSubscriptionEnabled=false
adias.viewbuilder.isLinkBetweenCustomerSupplierDSubscriptionEnabled=false
adias.viewbuilder.isEsCreatePurchasedArticleSubscriptionEnabled=false
adias.viewbuilder.isMaterialClassificationSubscriptionEnabled=false

adias.viewbuilder.isInProgressParamsSubscriptionEnabled=true

#partial reindexation props

spring.cloud.stream.kafka.binder.autoAddPartitions=true
spring.cloud.stream.bindings.es-partial-index-in.destination=es-aggregate-ids-topic
spring.cloud.stream.bindings.es-partial-index-in.group=vb-internal
spring.cloud.stream.bindings.es-partial-index-in.consumer.concurrency=5
spring.cloud.stream.bindings.es-index-refreshed-in.destination=es-index-refreshed
spring.cloud.stream.bindings.es-index-refreshed-in.group=vb-internal
spring.cloud.stream.bindings.es-index-refreshed.destination=es-index-refreshed
spring.cloud.stream.bindings.es-index-refreshed.producer.partition-count=5
spring.cloud.stream.bindings.es-index-refreshed.content-type=application/json

alis.aggregate.ids.publication.enabled=true
alis.aggregate.publication.enabled=false

mytower.reindex.enabled=true
mytower.reindex.partial-enabled=true

#connection to data base
spring.datasource.username=${DB_USERNAME}
spring.datasource.password=${DB_PASSWORD}
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQLDialect
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://${DB_HOST}:${DB_PORT}/${DB_NAME}?currentSchema=ui&ssl=false&sslmode=disable
spring.liquibase.change-log=classpath:changelog/db.changelog-master.xml

#point to aliases
adias.viewbuilder.indexNames.material_source=commande-list-idx
adias.viewbuilder.indexNames.material=material-idx
adias.viewbuilder.indexNames.classification=classification-idx


keycloak.enabled=true
keycloak.realm=braskem
keycloak.auth-server-url= https://keycloak.braskem.mytower.fr/auth/
keycloak.ssl-required=none
keycloak.resource=gtm-view-builder-ux
keycloak.credentials.secret=dfd96ffb-5dbf-4d0f-9a9d-bff6fd05e860
keycloak.use-resource-role-mappings=false
keycloak.bearer-only=true
keycloak.principal-attribute=preferred_username

adias.viewbuilder.collaborationColumnsToExclude=type.title
adias.viewbuilder.collaboration.is-collaboration-module-enabled=true

spring.cloud.stream.bindings.es-in-progress_params.destination=es-in-progress_params-ux

adias.viewbuilder.entitiesExcludedFromPartialIndexing=origin-computations,global-view,purchased-article-view,supplier-declaration-entry